#!/bin/bash -f
# ****************************************************************************
# Vivado (TM) v2018.1 (64-bit)
#
# Filename    : simulate.sh
# Simulator   : Mentor Graphics ModelSim Simulator
# Description : Script for simulating the design by launching the simulator
#
# Generated by Vivado on Wed Jun 03 12:51:28 EDT 2020
# SW Build 2188600 on Wed Apr  4 18:39:19 MDT 2018
#
# Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
#
# usage: simulate.sh
#
# ****************************************************************************
bin_path="/home/mbenoit/UsefulSoftware/modelsim/modelsim_ase/bin"
ExecStep()
{
"$@"
RETVAL=$?
if [ $RETVAL -ne 0 ]
then
exit $RETVAL
fi
}
ExecStep $bin_path/vsim -64  -do "do {pulser_sim_simulate.do}" -l simulate.log
